Package io.strimzi.systemtest.k8s

## Enum Events

- java.lang.Object
- - java.lang.Enum<Events>
  - - io.strimzi.systemtest.k8s.Events

- All Implemented Interfaces:
    `Serializable`, `Comparable<Events>`

      public enum Events
      extends Enum<Events>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Created` |
    `Failed` |
    `FailedSync` |
    `FailedValidation` |
    `Killing` |
    `Pulled` |
    `Pulling` |
    `Scheduled` |
    `Started` |
    `SuccessfulDelete` |
    `Unhealthy` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Events` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Events[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Created

          public static final Events Created

    - #### Killing

          public static final Events Killing

    - #### Started

          public static final Events Started

    - #### Scheduled

          public static final Events Scheduled

    - #### Pulling

          public static final Events Pulling

    - #### Pulled

          public static final Events Pulled

    - #### SuccessfulDelete

          public static final Events SuccessfulDelete

    - #### FailedValidation

          public static final Events FailedValidation

    - #### Failed

          public static final Events Failed

    - #### Unhealthy

          public static final Events Unhealthy

    - #### FailedSync

          public static final Events FailedSync

  - ### Method Detail

    - #### values

          public static Events[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Events c : Events.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Events valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null